// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.31.0
// 	protoc        v4.24.2
// source: boter/v1/message.proto

package boterpb

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// SamplemessageRequest запрос
type SamplemessageRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Параметр адреса для примера
	SampleParam string `protobuf:"bytes,1,opt,name=sample_param,json=sampleParam,proto3" json:"sample_param,omitempty"`
}

func (x *SamplemessageRequest) Reset() {
	*x = SamplemessageRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_boter_v1_message_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SamplemessageRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SamplemessageRequest) ProtoMessage() {}

func (x *SamplemessageRequest) ProtoReflect() protoreflect.Message {
	mi := &file_boter_v1_message_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SamplemessageRequest.ProtoReflect.Descriptor instead.
func (*SamplemessageRequest) Descriptor() ([]byte, []int) {
	return file_boter_v1_message_proto_rawDescGZIP(), []int{0}
}

func (x *SamplemessageRequest) GetSampleParam() string {
	if x != nil {
		return x.SampleParam
	}
	return ""
}

// SamplemessageResponse ответ
type SamplemessageResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *SamplemessageResponse) Reset() {
	*x = SamplemessageResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_boter_v1_message_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SamplemessageResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SamplemessageResponse) ProtoMessage() {}

func (x *SamplemessageResponse) ProtoReflect() protoreflect.Message {
	mi := &file_boter_v1_message_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SamplemessageResponse.ProtoReflect.Descriptor instead.
func (*SamplemessageResponse) Descriptor() ([]byte, []int) {
	return file_boter_v1_message_proto_rawDescGZIP(), []int{1}
}

var File_boter_v1_message_proto protoreflect.FileDescriptor

var file_boter_v1_message_proto_rawDesc = []byte{
	0x0a, 0x16, 0x62, 0x6f, 0x74, 0x65, 0x72, 0x2f, 0x76, 0x31, 0x2f, 0x6d, 0x65, 0x73, 0x73, 0x61,
	0x67, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x16, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e,
	0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x62, 0x6f, 0x74, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x22, 0x39, 0x0a, 0x14, 0x53, 0x61, 0x6d, 0x70, 0x6c, 0x65, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67,
	0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x21, 0x0a, 0x0c, 0x73, 0x61, 0x6d, 0x70,
	0x6c, 0x65, 0x5f, 0x70, 0x61, 0x72, 0x61, 0x6d, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b,
	0x73, 0x61, 0x6d, 0x70, 0x6c, 0x65, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x22, 0x17, 0x0a, 0x15, 0x53,
	0x61, 0x6d, 0x70, 0x6c, 0x65, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x42, 0x43, 0x5a, 0x41, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63,
	0x6f, 0x6d, 0x2f, 0x66, 0x61, 0x73, 0x74, 0x75, 0x6e, 0x6f, 0x76, 0x73, 0x76, 0x2f, 0x6c, 0x65,
	0x76, 0x65, 0x6c, 0x65, 0x72, 0x2f, 0x6c, 0x65, 0x76, 0x65, 0x6c, 0x65, 0x72, 0x2d, 0x61, 0x70,
	0x69, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x67, 0x6f, 0x2f, 0x62, 0x6f, 0x74, 0x65, 0x72, 0x2f, 0x76,
	0x31, 0x3b, 0x62, 0x6f, 0x74, 0x65, 0x72, 0x70, 0x62, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x33,
}

var (
	file_boter_v1_message_proto_rawDescOnce sync.Once
	file_boter_v1_message_proto_rawDescData = file_boter_v1_message_proto_rawDesc
)

func file_boter_v1_message_proto_rawDescGZIP() []byte {
	file_boter_v1_message_proto_rawDescOnce.Do(func() {
		file_boter_v1_message_proto_rawDescData = protoimpl.X.CompressGZIP(file_boter_v1_message_proto_rawDescData)
	})
	return file_boter_v1_message_proto_rawDescData
}

var file_boter_v1_message_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_boter_v1_message_proto_goTypes = []interface{}{
	(*SamplemessageRequest)(nil),  // 0: proto.service.boter.v1.SamplemessageRequest
	(*SamplemessageResponse)(nil), // 1: proto.service.boter.v1.SamplemessageResponse
}
var file_boter_v1_message_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_boter_v1_message_proto_init() }
func file_boter_v1_message_proto_init() {
	if File_boter_v1_message_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_boter_v1_message_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SamplemessageRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_boter_v1_message_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SamplemessageResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_boter_v1_message_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_boter_v1_message_proto_goTypes,
		DependencyIndexes: file_boter_v1_message_proto_depIdxs,
		MessageInfos:      file_boter_v1_message_proto_msgTypes,
	}.Build()
	File_boter_v1_message_proto = out.File
	file_boter_v1_message_proto_rawDesc = nil
	file_boter_v1_message_proto_goTypes = nil
	file_boter_v1_message_proto_depIdxs = nil
}
